Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\Persistence\Legacy\User\Mapper Class Reference

mapper for User related objects. More...

## Public Member Functions
| mapUser (array $data)
| Map user data into user object. More...
| mapUsers (array $data)
| Map data for a set of user data. More...
| mapRole (array $data)
| Map role data to a role. More...
| mapRoles (array $data)
| Map data for a set of roles. More...
| mapRoleAssignments (array $data)
| Map data for a set of role assignments. More...
| createCreateStructFromRole (Role $role)
| Creates a create struct from an existing $role. More...
| createRoleFromCreateStruct (RoleCreateStruct $createStruct)
| Maps properties from $struct to $role. More...

## Detailed Description

mapper for User related objects.

Definition at line 18 of file Publish/Core/Persistence/Legacy/User/Mapper.php.

## Member Function Documentation

## ◆ createCreateStructFromRole()

eZ\Publish\Core\Persistence\Legacy\User\Mapper::createCreateStructFromRole | ( | Role | $role | ) |

Creates a create struct from an existing $role.

Parameters

  \eZ\Publish\SPI\Persistence\User\Role | $role |

Returns
  \eZ\Publish\SPI\Persistence\User\RoleCreateStruct

Definition at line 216 of file Publish/Core/Persistence/Legacy/User/Mapper.php.

## ◆ createRoleFromCreateStruct()

eZ\Publish\Core\Persistence\Legacy\User\Mapper::createRoleFromCreateStruct | ( | RoleCreateStruct | $createStruct | ) |

Maps properties from $struct to $role.

Parameters

  \eZ\Publish\SPI\Persistence\User\RoleCreateStruct | $createStruct |

Returns
  \eZ\Publish\SPI\Persistence\User\Role

Definition at line 233 of file Publish/Core/Persistence/Legacy/User/Mapper.php.

References eZ\Publish\SPI\Persistence\User\Role\STATUS_DRAFT.

## ◆ mapRole()

eZ\Publish\Core\Persistence\Legacy\User\Mapper::mapRole | ( | array | $data | ) |

Map role data to a role.

Parameters

  array | $data |

Returns
  \eZ\Publish\SPI\Persistence\User\Role

Definition at line 115 of file Publish/Core/Persistence/Legacy/User/Mapper.php.

References eZ\Publish\SPI\Persistence\User\Role\STATUS_DEFINED, and eZ\Publish\SPI\Persistence\User\Role\STATUS_DRAFT.

Referenced by eZ\Publish\Core\Persistence\Legacy\User\Mapper\mapRoles().

## ◆ mapRoleAssignments()

eZ\Publish\Core\Persistence\Legacy\User\Mapper::mapRoleAssignments | ( | array | $data | ) |

Map data for a set of role assignments.

Parameters

  array | $data |

Returns
  \eZ\Publish\SPI\Persistence\User\RoleAssignment[]

Definition at line 163 of file Publish/Core/Persistence/Legacy/User/Mapper.php.

## ◆ mapRoles()

eZ\Publish\Core\Persistence\Legacy\User\Mapper::mapRoles | ( | array | $data | ) |

Map data for a set of roles.

Parameters

  array | $data |

Returns
  \eZ\Publish\SPI\Persistence\User\Role[]

Definition at line 141 of file Publish/Core/Persistence/Legacy/User/Mapper.php.

References eZ\Publish\Core\Persistence\Legacy\User\Mapper\mapRole().

## ◆ mapUser()

eZ\Publish\Core\Persistence\Legacy\User\Mapper::mapUser | ( | array | $data | ) |

Map user data into user object.

Parameters

  array | $data |

Returns
  \eZ\Publish\SPI\Persistence\User

Definition at line 27 of file Publish/Core/Persistence/Legacy/User/Mapper.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\User\Mapper\mapUsers().

## ◆ mapUsers()

eZ\Publish\Core\Persistence\Legacy\User\Mapper::mapUsers | ( | array | $data | ) |

Map data for a set of user data.

Parameters

  array | $data |

Returns
  \eZ\Publish\SPI\Persistence\User[]

Definition at line 49 of file Publish/Core/Persistence/Legacy/User/Mapper.php.

References eZ\Publish\Core\Persistence\Legacy\User\Mapper\mapUser().

The documentation for this class was generated from the following file:

- Publish/Core/Persistence/Legacy/User/Mapper.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.